GWT 2.7.0

## com.google.gwt.user.datepicker.client
Class DatePickerComponent

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.google.gwt.user.client.ui.Composite
                  com.google.gwt.user.datepicker.client.DatePickerComponent

All Implemented Interfaces:
  HasAttachHandlers, HasHandlers, EventListener, HasVisibility, IsRenderable, IsWidget

Direct Known Subclasses:
  CalendarView, MonthSelector

    abstract class DatePickerComponent

extends Composite

Package protected class used to combine functionality for the `MonthSelector` and `CalendarView` components.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject
`UIObject.DebugIdImpl, UIObject.DebugIdImplEnabled`

Field Summary

Fields inherited from class com.google.gwt.user.client.ui.UIObject
`DEBUG_ID_PREFIX`

Constructor Summary
`DatePickerComponent()`

Method Summary
`protected void` | `addMonths(int numMonths)`
`(package private) DatePicker.StandardCss` | `css()`
`protected DatePicker` | `getDatePicker()`
`CalendarModel` | `getModel()`
`protected abstract void` | `refresh()` Refresh the component.
`protected void` | `refreshAll()` Refreshes the `DatePicker`, `CalendarView`, and `CalendarModel`.
`(package private) void` | `setDatePicker(DatePicker me)`
`protected abstract void` | `setup()` Set up the component.

Methods inherited from class com.google.gwt.user.client.ui.Composite
`claimElement, getWidget, initializeClaimedElement, initWidget, isAttached, onAttach, onBrowserEvent, onDetach, render, render, resolvePotentialElement, setWidget`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getHandlerCount, getLayoutData, getParent, isOrWasAttached, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents, unsinkEvents`

Methods inherited from class com.google.gwt.user.client.ui.UIObject

`addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DatePickerComponent

    DatePickerComponent()

Method Detail

### getModel

    public CalendarModel getModel()

### addMonths

    protected void addMonths(int numMonths)

### getDatePicker

    protected DatePicker getDatePicker()

### refresh

    protected abstract void refresh()

  Refresh the component. Usually called because the model's current date has changed. In general, only should be called by `DatePicker`. Use refreshAll() if you need to refresh all components.

### refreshAll

    protected void refreshAll()

  Refreshes the `DatePicker`, `CalendarView`, and `CalendarModel`.

### setup

    protected abstract void setup()

  Set up the component.

### css

    DatePicker.StandardCss css()

### setDatePicker

    void setDatePicker(DatePicker me)

GWT 2.7.0